package com.wb.excel.api.style;

import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.usermodel.Workbook;

/**
 * Created on 2015/1/29.
 *
 * @author
 * @since 2.0.0
 */
public class AlignRightCellStyle extends NormalCellStyle {
    public AlignRightCellStyle(Workbook workbook) {
        this(workbook, false);
    }

    public AlignRightCellStyle(Workbook workbook, boolean error) {
        super(workbook, error);
        style.setAlignment(CellStyle.ALIGN_RIGHT);
        Font font = new BaseFont(workbook).getFont();
        style.setFont(font);
    }
}
